from django.urls import path,include
from .views import QuestioncatViewSet, QuestionViewSet, SubjectViewSet, ExerciseView
from rest_framework import routers


router = routers.DefaultRouter()
router.register('subject', SubjectViewSet, basename="subject")
router.register('questioncat', QuestioncatViewSet, basename="questioncat")
router.register('question', QuestionViewSet, basename="question")

urlpatterns = [
    path('question/exercise/', ExerciseView.as_view()),
    path('', include(router.urls)),
]
